#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityDBFLuckDrawCFGData
{
	//编号
	int mID;
	//生肖抽奖消耗
	int mRaffleConsumption1;
	//幸运抽奖消耗
	int mRaffleConsumption2;
	//触发1档需要次数
	int mTriggerBottom;
	//保底1挡次数
	int mBottomGuard1;
	//保底2挡次数
	int mBottomGuard2;
	//保底3挡次数
	int mBottomGuard3;
	//消耗ID
	int mConsumeID;
};

class M_ActivityDBFLuckDrawCFG
{
public:
private:
	static std::auto_ptr<M_ActivityDBFLuckDrawCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityDBFLuckDrawCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityDBFLuckDrawCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityDBFLuckDrawCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityDBFLuckDrawCFGData> mMapData;
};
